package com.yeejoin.amos.boot.module.jg.api.mapper;

import com.yeejoin.amos.boot.module.common.api.dto.DPFilterParamDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface DPStatisticsMapper {

    List<Map<String, Object>> maintenanceCountTopTen(@Param("dpFilterParamDto") DPFilterParamDto dpFilterParamDto);
    List<Map<String, Object>> maintenanceCount(@Param("dpFilterParamDto") DPFilterParamDto dpFilterParamDto);

    int installCount(@Param("orgCode") String orgCode);

    int maintenanceNoticeCount(@Param("orgCode") String orgCode);

    int reformCount(@Param("orgCode") String orgCode);

    int transferCount(@Param("orgCode") String orgCode);

    int useCount(@Param("orgCode") String orgCode);

    int vehicleCount(@Param("orgCode") String orgCode);

    int changeNameCount(@Param("orgCode") String orgCode);

    int changeReformCount(@Param("orgCode") String orgCode);

    int changeTransferCount(@Param("orgCode") String orgCode);

    int changeUnitCount(@Param("orgCode") String orgCode);

    int changeVehicleCount(@Param("orgCode") String orgCode);

    int disableCount(@Param("orgCode") String orgCode);

    int cancelCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> installEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> maintenanceEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> reformEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> transferEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);



    List<Map<String, Object>> useEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> changeReformEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> changeTransferEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> changeUnitEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> vehicleEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> newRegEquCountByMonth(@Param("cityCode") String cityCode);

    List<Map<String, Object>> newVehicleEquCountByMonth(@Param("cityCode") String cityCode);

    List<Map<String, Object>> newRegEquCountByYear(@Param("cityCode") String cityCode);

    List<Map<String, Object>> newVehicleEquCountByYear(@Param("cityCode") String cityCode);

    String newVehicleCountByYear(@Param("cityCode") String cityCode);
    String newVehicleCountByMonth(@Param("cityCode") String cityCode);
}
